program EXAMPLE2;



(*
  Ukazkovy program k modulu PESNET3.PAS


  Program inicializuje COM port, najde si sam baudovou rychlost
  a vypise adresy vsech stanic, aktivnich v siti

  --------------------------------------------------------------
*)




uses pesnet3, crt;

var
  i     : word;





procedure ErrorService(ErrString:string);
{---------------------------------------------------------------}
begin
  writeln('CHYBA PRI OPERACI: ',ErrString);
  writeln(GetErrorString);
  halt;
end;





{ HLAVNI PROGRAM }
{---------------------------------------------------------------}
begin
  writeln;

  write('CISLO COM PORTU : ');
  readln(ComPort);

  COM_Init;                  { inicializace COM portu }
                             { z promenne ComPort }

  if not Success then ErrorService('INIT COM PORT');

  BaudScan;                  { zjisteni baudovych rychlosti na siti }


  if not Success then begin
    if COM_Error=ERR_NETEMPTY then writeln('ZADNE STANICE V SITI');
    if COM_Error=ERR_MOREBAUD then writeln('RUZNE BD RYCHLOSTI V SITI');
    ErrorService('DETEKCE RYCHLOSTI');
  end;
  writeln('DETEKOVANA RYCHLOST: ',BaudRate,' Baud');

  writeln('PROBIHA DETEKCE STANIC');
  NetScan;                   { detekce aktivnich stanic na siti }
                             { a zaroven preuseni sitoveho provozu }

  if not Success then ErrorService('DETEKCE STANIC');

  SendToken;                 { rychle obnoveni provozu na siti }

  COM_Close;                 { deaktivace COM portu }


                             { a nakonec vypis vysledku }

  writeln('POCET STANIC V SITI: ',StationNum);

  if StationNum>0 then for i:=0 to (StationNum-1) do
  writeln('    NALEZENA ADRESA: ',StationList[i]);

  writeln;
end.


