//program EXAMPLE2;



typedef struct {

  unsigned char OK;
  unsigned int  FWVersion;
  unsigned int  StackAddr;
  unsigned int  MemTop;

} InfoType;




#include <STDIO.H>
#include <STDLIB.H>
#include <CONIO.H>
#include "PESNET3.H"


/*
  Ukazkovy program k modulu PESNET3.CPP

  Program inicializuje COM port, najde si sam baudovou rychlost,
  prohleda sit a vypise adresy vsech stanic, aktivnich v siti

  --------------------------------------------------------------
*/




int  i;



void ErrorService(char *ErrString)
//---------------------------------------------------------------}
{
  char TmpStr[200];

  printf("CHYBA PRI OPERACI: %s\r\n",ErrString);
  GetErrorString(TmpStr);
  printf("%s\r\n",TmpStr);
  exit(1);
}




void StackRD(unsigned int StPos)
//---------------------------------------------------------------}
{
  unsigned int  NumW;
  unsigned int  StackBuf[100];
  unsigned int  i;


  NumW = ReadStack(StackBuf, StPos, 5);
  printf("STACK RD POS=%u   GET=%u   SUCC=%u",StPos,NumW,Success);
  if (NumW>0) {
    for (i=0; i<NumW; i++) {
      gotoxy(45+(i*6), wherey());
      printf("%u",StackBuf[i]);
    }
  }
  printf("\r\n");
}



void StackWR(unsigned int StPos, unsigned int Dat)
//---------------------------------------------------------------}
{
  unsigned int  NumW;
  unsigned int  StackBuf[100];
  unsigned int  i;


  for (i=0; i<7; i++) StackBuf[i] = Dat+i;
  NumW = WriteStack(StackBuf, StPos, 5);
  printf("STACK WR POS=%u   WR=%d   DATA=%u   SUCC=%u\r\n", StPos, NumW, Dat, Success);
}







// HLAVNI PROGRAM
//---------------------------------------------------------------

void main()
{
  cprintf("\r\n");

  printf("CISLO COM PORTU : ");
  cscanf("%d",&ComPort);

  COM_Init();                  // inicializace COM portu
                               // z promenne ComPort

  if (!Success) ErrorService("INIT COM PORT");

  BaudRate = 57600;
  COM_Init();

  NetScan();             // detekce aktivnich stanic na siti
                         // detekce komunikacni rychlosti
                         // a zaroven preuseni sitoveho provozu
                         // (nastavi BaudRate, StationNum a StationList)

  if (!Success) {
    if (COM_Error==ERR_NETEMPTY) printf("ZADNE STANICE V SITI\r\n");
    if (COM_Error==ERR_MOREBAUD) printf("RUZNE BD RYCHLOSTI V SITI\r\n");
    ErrorService("DETEKCE RYCHLOSTI");
  }
  printf("DETEKOVANA RYCHLOST: %lu Baud\r\n",BaudRate);



  if (!Success) ErrorService("DETEKCE STANIC");

  SendToken();                 // rychle obnoveni provozu na siti


                               // a nakonec vypis vysledku

  printf("POCET STANIC V SITI: %u\r\n",StationNum);

  if (StationNum) for (i=0; i<StationNum; i++)
    printf("    NALEZENA ADRESA: %u\r\n",StationList[i]);

  printf("\r\n");

  printf("vycteni a prepsani zasobniku na 1. nalezene stanici ....\r\n");

  SelectStation(StationList[0]);

  NetBreak();

  StackRD(100);
  StackRD(1020);
  StackRD(2100);
  StackRD(9212);
  StackRD(11770);
  StackRD(11773);
  StackRD(12000);
  StackWR(9212,12000);
  StackWR(100,05);
  StackRD(9212);
  StackRD(100);


  SendToken();
  COM_Close();                 // deaktivace COM portu
  printf("\r\n");

}


