

extern unsigned long       BaudRate;
extern unsigned char       ComPort;
extern unsigned char       COM_Error;
extern unsigned char       StationNum;
extern unsigned char       StationList[32];
extern unsigned char       Success;




void            COM_Init();
void            COM_Close();
void            SendToken();
void            SelectStation(unsigned char StAddr);
void            NetBreak();
unsigned  long  BaudScan();
void            NetScan();
unsigned int    ReadSTPWord(unsigned  int Addr);
unsigned char   ReadSTPBit(unsigned int Addr);
void            WriteSTPWord(unsigned int Addr, unsigned int Dato);
void            WriteSTPBit(unsigned int Addr, unsigned char Bit);
unsigned int    ReadStack(void *Buffer, unsigned int Position, unsigned int Count);
unsigned int    WriteStack(void *Buffer, unsigned int Position, unsigned int Count);
char            *GetErrorString(char *ErrString);



extern unsigned char        ERR_NONE       = 0x00;

extern unsigned char        ERR_INITCOM    = 0x01;
extern unsigned char        ERR_TIMEOUT    = 0x02;
extern unsigned char        ERR_TIMEOUTTX  = 0x03;
extern unsigned char        ERR_TIMEOUTRX  = 0x04;
extern unsigned char        ERR_RXSUM      = 0x05;
extern unsigned char        ERR_DATASIZE   = 0x06;
extern unsigned char        ERR_ADDRESS    = 0x07;
extern unsigned char        ERR_DEBUGFLAG  = 0x08;
extern unsigned char        ERR_MOREBAUD   = 0x09;
extern unsigned char        ERR_NETEMPTY   = 0x0A;

extern unsigned char        ERR_BADERROR   = 0x80;
extern unsigned char        ERR_BADCMD     = 0x81;
extern unsigned char        ERR_TARGETSUM  = 0x82;
extern unsigned char        ERR_BADFRAME   = 0x83;
extern unsigned char        ERR_SELFRX     = 0x84;
extern unsigned char        ERR_IOFULL     = 0x85;
extern unsigned char        ERR_NODATA     = 0x86;


